Bug 251812 - system-config-services fails to start when kernel is booted with "single"
system-config-services fails to start when kernel is booted with "single"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-11 13:10 EDT by Stu Hood
Modified: 2008-06-16 22:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:08:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stu Hood 2007-08-11 13:10:49 EDT
Description of problem:
system-config-services fails to start when kernel is booted with "single"
(possibly only effects machines in a virtual machine: I'm running VirtualBox)

Version-Release number of selected component (if applicable):
0.9.8 (according to the help)

How reproducible:
Extremely.

Steps to Reproduce:
1. Boot into single user mode with the "single" kernel option.
2. Start gdm/kdm.
3. Check that "/sbin/runlevel" returns the string "unknown".
4. Try to start system-config-services in a terminal.
5. Get the following traceback:
  
Actual results:

  File "/usr/sbin/system-config-services", line 720 in <module>
    main()
  File "/usr/sbin/system-config-services", line 704, in main
    Gui()
  File "/usr/sbin/system-config-services", line 265, in __init__
    self.editing_runlevel = self.services.get_runlevel()
  File "/usr/share/system-config-services/servicemethods.py", line 405, in
get_runlevel
    return int(output[2])
ValueError: invalid literal for int() with base 10: 'k'



Expected results:
The config tool should guess that if the GUI opens correctly, I'm in a runlevel
that has X, and default to 5.

Additional info:
Again, I'm running in VirtualBox, but that shouldn't affect the runlevel reporting.
Comment 1 Bug Zapper 2008-05-14 09:57:19 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:08:45 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.